Package fr.gouv.vitam.metadata.core.database.collections

# Class PersistentIdentifierRepositoryImpl

java.lang.Object
fr.gouv.vitam.metadata.core.database.collections.PersistentIdentifierRepositoryImpl

All Implemented Interfaces:
  `PersistentIdentifierRepository`

public class PersistentIdentifierRepositoryImpl extends Object implements PersistentIdentifierRepository

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PURGED_PERSISTENT_IDENTIFIER_COLLECTION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersistentIdentifierRepositoryImpl(MongoDbAccessMetadataImpl mongoDbAccess)`
  `PersistentIdentifierRepositoryImpl(MongoDbAccessMetadataImpl mongoDbAccess, String prefix)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PurgedPersistentIdentifier>`
  `findByPersistentIdentifierAndTenant(String persistentIdentifier, Integer tenant, String type)`
  `void`
  `insert(List<org.bson.Document> purgedPersistentIdentifiers)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PURGED_PERSISTENT_IDENTIFIER_COLLECTION

    public static final String PURGED_PERSISTENT_IDENTIFIER_COLLECTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PersistentIdentifierRepositoryImpl

    public PersistentIdentifierRepositoryImpl(MongoDbAccessMetadataImpl mongoDbAccess)

  - ### PersistentIdentifierRepositoryImpl

    public PersistentIdentifierRepositoryImpl(MongoDbAccessMetadataImpl mongoDbAccess, String prefix)

- ## Method Details

  - ### findByPersistentIdentifierAndTenant

    public List<PurgedPersistentIdentifier> findByPersistentIdentifierAndTenant(String persistentIdentifier, Integer tenant, @Nullable String type) throws DatabaseException
    Specified by:
      `findByPersistentIdentifierAndTenant` in interface `PersistentIdentifierRepository`
    Throws:
      `DatabaseException`

  - ### insert

    public void insert(List<org.bson.Document> purgedPersistentIdentifiers) throws MetaDataExecutionException
    Specified by:
      `insert` in interface `PersistentIdentifierRepository`
    Throws:
      `MetaDataExecutionException`